Bug 1176282 - [abrt] dovecot: strlen(): log killed by SIGSEGV
Summary: [abrt] dovecot: strlen(): log killed by SIGSEGV
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: dovecot
Version: 21
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Michal Hlavinka
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:756459ae7a3db362062498e6154...
: 1187054 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-12-19 23:49 UTC by Chuck Forsberg
Modified: 2015-03-05 12:33 UTC (History)
3 users (show)

Fixed In Version: dovecot-2.2.15-3.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-02-06 04:00:36 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (9.08 KB, text/plain)
2014-12-19 23:49 UTC, Chuck Forsberg
no flags Details
File: cgroup (194 bytes, text/plain)
2014-12-19 23:49 UTC, Chuck Forsberg
no flags Details
File: core_backtrace (3.13 KB, text/plain)
2014-12-19 23:49 UTC, Chuck Forsberg
no flags Details
File: dso_list (412 bytes, text/plain)
2014-12-19 23:49 UTC, Chuck Forsberg
no flags Details
File: exploitable (82 bytes, text/plain)
2014-12-19 23:49 UTC, Chuck Forsberg
no flags Details
File: limits (1.29 KB, text/plain)
2014-12-19 23:49 UTC, Chuck Forsberg
no flags Details
File: maps (2.40 KB, text/plain)
2014-12-19 23:49 UTC, Chuck Forsberg
no flags Details
File: open_fds (3.01 KB, text/plain)
2014-12-19 23:49 UTC, Chuck Forsberg
no flags Details
File: proc_pid_status (904 bytes, text/plain)
2014-12-19 23:49 UTC, Chuck Forsberg
no flags Details
File: var_log_messages (31.55 KB, text/plain)
2014-12-19 23:49 UTC, Chuck Forsberg
no flags Details

Description Chuck Forsberg 2014-12-19 23:49:31 UTC
Version-Release number of selected component:
dovecot-2.2.15-1.fc21

Additional info:
reporter:       libreport-2.3.0
backtrace_rating: 4
cmdline:        dovecot/log
crash_function: strlen
environ:        '\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab\xab'
executable:     /usr/libexec/dovecot/log
kernel:         3.17.6-300.fc21.x86_64
runlevel:       N 5
type:           CCpp
uid:            0

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 strlen at ../sysdeps/x86_64/strlen.S:106
 #1 log_error_buffer_add at log-error-buffer.c:54
 #2 client_log_ctx at log-connection.c:105
 #3 log_it at log-connection.c:234
 #4 log_connection_input at log-connection.c:304
 #5 io_loop_call_io at ioloop.c:498
 #6 io_loop_handler_run_internal at ioloop-epoll.c:220
 #7 io_loop_handler_run at ioloop.c:545
 #8 io_loop_run at ioloop.c:522
 #9 master_service_run at master-service.c:566

Comment 1 Chuck Forsberg 2014-12-19 23:49:33 UTC
Created attachment 971352 [details]
File: backtrace

Comment 2 Chuck Forsberg 2014-12-19 23:49:34 UTC
Created attachment 971353 [details]
File: cgroup

Comment 3 Chuck Forsberg 2014-12-19 23:49:34 UTC
Created attachment 971354 [details]
File: core_backtrace

Comment 4 Chuck Forsberg 2014-12-19 23:49:35 UTC
Created attachment 971355 [details]
File: dso_list

Comment 5 Chuck Forsberg 2014-12-19 23:49:35 UTC
Created attachment 971356 [details]
File: exploitable

Comment 6 Chuck Forsberg 2014-12-19 23:49:36 UTC
Created attachment 971357 [details]
File: limits

Comment 7 Chuck Forsberg 2014-12-19 23:49:37 UTC
Created attachment 971358 [details]
File: maps

Comment 8 Chuck Forsberg 2014-12-19 23:49:37 UTC
Created attachment 971359 [details]
File: open_fds

Comment 9 Chuck Forsberg 2014-12-19 23:49:38 UTC
Created attachment 971360 [details]
File: proc_pid_status

Comment 10 Chuck Forsberg 2014-12-19 23:49:39 UTC
Created attachment 971361 [details]
File: var_log_messages

Comment 11 Michal Hlavinka 2015-01-30 19:15:37 UTC
*** Bug 1187054 has been marked as a duplicate of this bug. ***

Comment 12 Fedora Update System 2015-01-30 19:17:06 UTC
dovecot-2.2.15-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/dovecot-2.2.15-2.fc20

Comment 13 Fedora Update System 2015-01-30 19:17:11 UTC
dovecot-2.2.15-2.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/dovecot-2.2.15-2.fc21

Comment 14 Fedora Update System 2015-02-01 00:25:20 UTC
Package dovecot-2.2.15-2.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing dovecot-2.2.15-2.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-1493/dovecot-2.2.15-2.fc21
then log in and leave karma (feedback).

Comment 15 Fedora Update System 2015-02-05 16:30:53 UTC
dovecot-2.2.15-3.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/dovecot-2.2.15-3.fc20

Comment 16 Fedora Update System 2015-02-05 16:31:05 UTC
dovecot-2.2.15-3.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/dovecot-2.2.15-3.fc21

Comment 17 Fedora Update System 2015-02-06 04:00:36 UTC
dovecot-2.2.15-2.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 18 Fedora Update System 2015-03-05 12:33:23 UTC
dovecot-2.2.15-3.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 19 Fedora Update System 2015-03-05 12:33:55 UTC
dovecot-2.2.15-3.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.